Authen::SASL::Perl::OAUTHBEARER(3)

NAME
Authen::SASL::Perl::OAUTHBEARER - OAUTHBEARER Authentication class

VERSION
version 2.1900

SYNOPSIS
  use Authen::SASL qw(Perl);

  $sasl = Authen::SASL->new(
    mechanism => 'OAUTHBEARER',
    callback  => {
      user => $user,
      pass => $access_token
    },
  );

DESCRIPTION
This module implements the client side of the OAUTHBEARER SASL mechanism, which is used for OAuth 2.0-based authentication.

  CALLBACK
The callbacks used are:

Client

user
    The username to be used for authentication.

pass
    The OAuth 2.0 access token to be used for authentication.

SEE ALSO
Authen::SASL, Authen::SASL::Perl

AUTHORS
Written by Aditya Garg and Julian Swagemakers.

COPYRIGHT
Copyright (c) 2025 Aditya Garg.

Copyright (c) 2025 Julian Swagemakers.

All rights reserved. This program is free software; you can redistribute it and/or modify it under the same terms as Perl itself.